WP42Listener Class Reference documentation

Public Member Functions | List of all members
WP42Listener Class Referenceabstract

`#include <WP42Listener.h>`

Inheritance diagram for WP42Listener:

## Public Member Functions
| WP42Listener ()
virtual | ~WP42Listener ()
virtual void | startDocument ()=0
virtual void | startSubDocument ()=0
virtual void | insertCharacter (unsigned character)=0
virtual void | insertTab (unsigned char tabType, double tabPosition)=0
virtual void | insertBreak (unsigned char breakType)=0
virtual void | insertEOL ()=0
virtual void | attributeChange (bool isOn, unsigned char attribute)=0
virtual void | marginReset (unsigned char leftMargin, unsigned char rightMargin)=0
virtual void | headerFooterGroup (unsigned char headerFooterDefinition, const std::shared_ptr< WP42SubDocument > &subDocument)=0
virtual void | suppressPageCharacteristics (unsigned char suppressCode)=0
virtual void | endDocument ()=0
virtual void | endSubDocument ()=0

## Constructor & Destructor Documentation

## ◆ WP42Listener()

WP42Listener::WP42Listener | ( |  | ) |

## ◆ ~WP42Listener()

virtual WP42Listener::~WP42Listener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ attributeChange()

virtual void WP42Listener::attributeChange | ( | bool | isOn,
|  | unsigned char | attribute
| ) |  |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42Parser::parseDocument().

## ◆ endDocument()

virtual void WP42Listener::endDocument | ( |  | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42Parser::parse().

## ◆ endSubDocument()

virtual void WP42Listener::endSubDocument | ( |  | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

## ◆ headerFooterGroup()

virtual void WP42Listener::headerFooterGroup | ( | unsigned char | headerFooterDefinition,
|  | const std::shared_ptr< WP42SubDocument > & | subDocument
| ) |  |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42HeaderFooterGroup::parse().

## ◆ insertBreak()

virtual void WP42Listener::insertBreak | ( | unsigned char | breakType | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42Parser::parseDocument().

## ◆ insertCharacter()

virtual void WP42Listener::insertCharacter | ( | unsigned | character | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42ExtendedCharacterGroup::parse(), and WP42Parser::parseDocument().

## ◆ insertEOL()

virtual void WP42Listener::insertEOL | ( |  | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42Parser::parseDocument().

## ◆ insertTab()

virtual void WP42Listener::insertTab | ( | unsigned char | tabType,
|  | double | tabPosition
| ) |  |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42Parser::parseDocument().

## ◆ marginReset()

virtual void WP42Listener::marginReset | ( | unsigned char | leftMargin,
|  | unsigned char | rightMargin
| ) |  |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42SubDocument::parse(), and WP42MarginResetGroup::parse().

## ◆ startDocument()

virtual void WP42Listener::startDocument | ( |  | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42Parser::parse().

## ◆ startSubDocument()

virtual void WP42Listener::startSubDocument | ( |  | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

## ◆ suppressPageCharacteristics()

virtual void WP42Listener::suppressPageCharacteristics | ( | unsigned char | suppressCode | ) |
| pure virtual

Implemented in WP42ContentListener, and WP42StylesListener.

Referenced by WP42SuppressPageCharacteristicsGroup::parse().

The documentation for this class was generated from the following files:

- WP42Listener.h
- WP42Listener.cpp